StarPU Internal Handbook

Data Fields
_starpu_mpi_req Struct Reference

## Data Fields
starpu_data_handle_t | data_handle
int | prio
MPI_Datatype | datatype
char * | datatype_name
void * | ptr
starpu_ssize_t | count
int | registered_datatype
struct _starpu_mpi_req_backend * | backend
struct _starpu_mpi_node_tag | node_tag
void(* | func )(struct _starpu_mpi_req *)
MPI_Status * | status
struct _starpu_mpi_req_multilist_coop_sends | coop_sends
struct _starpu_mpi_coop_sends * | coop_sends_head
int * | flag
unsigned | sync
int | ret
enum _starpu_mpi_request_type | request_type
unsigned | submitted
unsigned | completed
unsigned | posted
int | detached
void * | callback_arg
void(* | callback )(void *)
int | sequential_consistency
long | pre_sync_jobid
long | post_sync_jobid
MPI_Status | status_store
starpu_pthread_queue_t | queue
unsigned | done

## Field Documentation

## ◆ request_type

enum _starpu_mpi_request_type _starpu_mpi_req::request_type

0 send, 1 recv

The documentation for this struct was generated from the following file:

- starpu_mpi_private.h